module Air.UTF8 where

import Air.Light
import Air.Extra as Air
import Prelude hiding ((.), (^), readFile, writeFile, (>))
import System.Directory
import qualified Air as Air

split :: String -> String -> [String]
split x y  = Air.split (x.u2b) (y.u2b) .map b2u

gsub :: String -> String -> String -> String
gsub x y z = Air.gsub (x.u2b) (y.u2b) (z.u2b) .b2u

sub :: String -> String -> String -> String
sub x y z  = Air.sub (x.u2b) (y.u2b) (z.u2b) .b2u

match :: String -> String -> Maybe (RegexResult, MatchList)
match x y  = Air.match (x.u2b) (y.u2b)

strip :: String -> String
strip x = Air.strip (x.u2b) .b2u
